seznam = [1, 1000, 12, 3, 22, 10, 8, 3] #seznam pretvorbenih mer
slovar = {
    'thou': 0, 'th': 0,
    'inch': 1, 'in': 1,
    'foot': 2, 'ft': 2,
    'yard': 3, 'yd': 3,
    'chain': 4, 'ch': 4,
    'furlong': 5, 'fur': 5,
    'mile': 6, 'mi': 6,
    'league': 7, 'lea': 7
} #slovar, ki povezuje indekse seznama (kot vrednosti v slovarju) in imena oz. kratice enot

seznam_pod = input().split() #iz vnosa naredimo seznam treh eleemntov
vrednost = int(seznam_pod[0]) # vrednost ki jo imamo
trenutno = slovar[seznam_pod[1]] #dobimo vrednost (index v seznamu) kljuca z tem imenom v katerem smo, enota
zeljeno = slovar[seznam_pod[3]] #dobimo vrednost (index v seznamu) kljuca s tem imenom, ki ga iščemo, enota

if trenutno == zeljeno: #če sta enoti enaki, potem koncamo in izpišemo vrednost, nimamo kaj spreminjati
    print(vrednost)
elif trenutno < zeljeno: # če je index trenutne enote manjsi kot zeljene, torej spreminjamo iz manjso v večjo enoto
    p = 1 #pretvorben koeficient
    while trenutno != zeljeno: #tu povečujemo trenuten index dokler se ne skladata
        trenutno += 1
        p /= seznam[trenutno] # ter obenem delimo z pretvorbeno enoto
    print(p * vrednost) #množimo pretvorbeni koeficient z vrednostjo, ki jo imamo 
else: #torej je trenutno > zeljeno
    p = 1 #pretvorben koeficient
    while trenutno != zeljeno: # ponovno isto, le da tu trenutno zmanjšujemo, in se približujemo željenemu
        p *= seznam[trenutno] #tu namesto deimo množimo, saj gremo iz večje enote v manjšo
        trenutno -= 1
    print(vrednost * p)